<!DOCTYPE html>
<html class="no-js" lang="en">
<head>
  <meta charset="utf-8">
  <title>Trial EIL Style Guide</title>

  <meta name="description" content="">
  <meta name="generator" content="kss-node">
  <meta name="viewport" content="width=device-width">

  <link rel="stylesheet" href="kss-assets/kss.css">
  <link rel="stylesheet" href="../styleguide.css">
<link rel="stylesheet" href="../styles.css">

</head>
<body id="kss-node" class="kss-fullscreen-mode">

<div class="kss-sidebar kss-style">
  <header class="kss-header">
    <h1 class="kss-doc-title">Trial EIL Style Guide</h1>
  </header>
  <nav class="kss-nav">
    <ul class="kss-nav__menu">
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="./">
          <span class="kss-nav__ref">0</span
          ><span class="kss-nav__name">Overview</span>
        </a>
      </li>
    
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-settings.html">
          <span class="kss-nav__ref">1</span><span class="kss-nav__name">Settings</span>
        </a>
        
      </li>
    
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-base.html">
          <span class="kss-nav__ref">2</span><span class="kss-nav__name">Base</span>
        </a>
        
      </li>
    
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-components.html">
          <span class="kss-nav__ref">3</span><span class="kss-nav__name">Components</span>
        </a>
        
      </li>
    
    </ul>
  </nav>
</div>
<article role="main" class="kss-main">


  
  
    
    <div id="kssref-base-types" class="kss-section kss-section--depth-2 is-fullscreen">
      <div class="kss-style">
        
        <h2 class="kss-title kss-title--level-2">
          <a class="kss-title__permalink" href="#kssref-base-types">
            <span class="kss-title__ref">
              2.2
              <span class="kss-title__permalink-hash">
                base.types
              </span>
            </span>
            Type system
          </a>
        </h2>

        
          <p class="kss-toolbar">
            
            <a href="#kssref-base-types" data-kss-guides="true">
              <span class="kss-toolbar__tooltip">Toggle example guides</span>
              <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                <rect class="kss-toolbar__icon-fill" x="5" y="35" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="21" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="35" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="21" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="0" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="35" y="5" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="20" y="5" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="0" y="5" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="0" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="49" y="5" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="49" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="49" y="54" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="49" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="0" y="54" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="35" y="54" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="20" y="54" width="9" height="5"/>
              </svg>
            </a>
            <a href="#kssref-base-types" data-kss-markup="true">
              <span class="kss-toolbar__tooltip">Toggle HTML markup</span>
              <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                <path class="kss-toolbar__icon-fill" d="M37.555,46.239l6.103,6.103l20.342,-20.342l-20.342,-20.342l-6.103,6.103l14.24,14.239l-14.24,14.239Z"/>
                <path class="kss-toolbar__icon-fill" d="M26.445,17.761l-6.103,-6.103l-20.342,20.342l20.342,20.342l6.103,-6.103l-14.24,-14.239l14.24,-14.239Z"/>
              </svg>
            </a>
          </p>
        

        

        
          <ul class="kss-colors">
            
          </ul>
        

        
      </div>

      
        <div class="kss-modifier__wrapper">
          <div class="kss-modifier__heading kss-style">
            Examples
          </div>

          
            <div class="kss-modifier__default-name kss-style">
              Default styling
            </div>
          

          <div class="kss-modifier__example">
            <h2>Secondary title h2</h2>
<p>This is used as an H3 title or as key figure titles (and is therefore best made a class</p>
<h3>Secondary title h3</h3>
<p>Pellentesque libero tortor, tincidunt et, tincidunt eget, semper nec, quam. Sed fringilla mauris sit amet nibh. Nulla sit amet est. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Fusce id purus. Phasellus viverra nulla ut metus varius laoreet.</p>
<p class="txt-copy">Pellentesque libero tortor, tincidunt et, tincidunt eget, semper nec, quam. Sed fringilla mauris sit amet nibh. Nulla sit amet est. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Fusce id purus. Phasellus viverra nulla ut metus varius laoreet.</p>
            <div class="kss-modifier__example-footer"></div>
          </div>

          
        </div>
        
          <details class="kss-markup kss-style">
            <summary>
              
                Markup
              
            </summary>
            <pre class="hljs"><code class="language-twig"><span class="xml"><span class="hljs-tag">&lt;<span class="hljs-name">h2</span>&gt;</span>Secondary title h2<span class="hljs-tag">&lt;/<span class="hljs-name">h2</span>&gt;</span>
<span class="hljs-tag">&lt;<span class="hljs-name">p</span>&gt;</span>This is used as an H3 title or as key figure titles (and is therefore best made a class<span class="hljs-tag">&lt;/<span class="hljs-name">p</span>&gt;</span>
<span class="hljs-tag">&lt;<span class="hljs-name">h3</span>&gt;</span>Secondary title h3<span class="hljs-tag">&lt;/<span class="hljs-name">h3</span>&gt;</span>
<span class="hljs-tag">&lt;<span class="hljs-name">p</span>&gt;</span>Pellentesque libero tortor, tincidunt et, tincidunt eget, semper nec, quam. Sed fringilla mauris sit amet nibh. Nulla sit amet est. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Fusce id purus. Phasellus viverra nulla ut metus varius laoreet.<span class="hljs-tag">&lt;/<span class="hljs-name">p</span>&gt;</span>
<span class="hljs-tag">&lt;<span class="hljs-name">p</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"txt-copy"</span>&gt;</span>Pellentesque libero tortor, tincidunt et, tincidunt eget, semper nec, quam. Sed fringilla mauris sit amet nibh. Nulla sit amet est. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Fusce id purus. Phasellus viverra nulla ut metus varius laoreet.<span class="hljs-tag">&lt;/<span class="hljs-name">p</span>&gt;</span></span></code></pre>
          </details>
        
      

      
        <div class="kss-source kss-style">
          Source: <code>base/_types.scss</code>, line 11
        </div>
      
    </div>
  

</article>

<!-- SCRIPTS -->
<script src="kss-assets/kss.js"></script>
<script src="kss-assets/scrollspy.js"></script>
<script src="kss-assets/kss-fullscreen.js"></script>
<script src="kss-assets/kss-guides.js"></script>
<script src="kss-assets/kss-markup.js"></script>
<script>
  var spy = new ScrollSpy('#kss-node', {
    nav: '.kss-nav__menu-child > li > a',
    className: 'is-in-viewport'
  });
  var kssFullScreen = new KssFullScreen({
    idPrefix: 'kss-fullscreen-',
    bodyClass: 'kss-fullscreen-mode',
    elementClass: 'is-fullscreen'
  });
  var kssGuides = new KssGuides({
    bodyClass: 'kss-guides-mode'
  });
  var kssMarkup = new KssMarkup({
    bodyClass: 'kss-markup-mode',
    detailsClass: 'kss-markup'
  });
</script>





<!-- Automatically built using <a href="https://github.com/kss-node/kss-node">kss-node</a>. -->
</body>
</html>
